<!DOCTYPE html>
<html data-ng-app="myapp">
<head>
<meta charset="ISO-8859-1">
<title>AngularJS Tutorial</title>
<script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.2.26/angular.min.js"></script>
<script>
    var app = angular.module('myapp', []);
 
    app.controller('HelloWorldController', function($scope, $http){
        $scope.variable = "AngularJS Property file read test";
        
        $http.get('resources/Test.properties').then(function (response) {
        	$scope.TestStringValue = response.data.TestString;
        	$scope.BooleanValue = response.data.BooleanValue;
            console.log('TestString is ', response.data.TestString);
            console.log('BooleanValue is ', response.data.BooleanValue);            
          });
    });
</script>
</head>
<body data-ng-controller="HelloWorldController">
	<div>
		<h2>{{variable}}</h2>
		<p>1. String value:  {{TestStringValue}}</p>
		<p>2. Boolean value: {{BooleanValue}}</p>
	</div>
 
</body>
</html>